function Create(self)
    self.LifeTimer = Timer()
	self.timing = 0
	self:EnableEmission(false)
end

function Update(self)
    if self.LifeTimer:IsPastSimMS(self.timing) then
		if MovableMan:IsActor(self.Target) then
			local ang = SceneMan:ShortestDistance(self.Pos, self.Target.Pos, false).AbsRadAngle
			local absAng = math.abs(ang - self.RotAngle)
			local Tmp
			if absAng > 0.3 then
				self.GetThrottle = -0.9
				Tmp = GSOffset(self.Vel, ang, 1.7)
			else
				self.GetThrottle = 0.5 - absAng
				Tmp = GSOffset(self.Vel, ang, 0.7 + absAng)
			end
			
			self.Vel = Tmp:SetMagnitude(math.min(Tmp.Magnitude, 32))
		else
			self.LifeTimer:Reset()
			self.timing = 333
			
			local minDist = 600
			for Act in MovableMan.Actors do				
				if Act.Team ~= self.Team then
					local Range = SceneMan:ShortestDistance(self.Pos, Act.Pos, false)
					local dist = Range.Magnitude
					if dist < minDist and math.abs(self.RotAngle - Range.AbsRadAngle) < 1 then
						minDist = dist
						self.Target = Act
						self:EnableEmission(true)
					end
				end
			end
		end
		
		if self.LifeTimer:IsPastSimMS(2500) then
			self:GibThis()
		end
    end
end