function Verdun:StartActivity()
	self.Brain = CreateActor("Select Brain", "Gunship.rte")
	self.Brain.Pos = Vector(-50, -50)
	MovableMan:AddActor(self.Brain)
	self:SetPlayerBrain(self.Brain, Activity.TEAM_1)
	self:SetTeamFunds(Activity.TEAM_1 ,0)
	
	self.Ctrl = self.Brain:GetController()
	self.state = 1
	self.Text = {CreateMOSRotating("LandingPad Hard", "Gunship.rte"),
				 CreateMOSRotating("LandingPad Easy", "Gunship.rte"),
				 CreateMOSRotating("LandingPad Tutorial", "Gunship.rte")}
	
	local TextOffset = Vector(SceneMan.SceneWidth/2, SceneMan.SceneHeight/3)
	for i,T in pairs(self.Text) do
		T.Pos = Vector(0, i*30) + TextOffset
		MovableMan:AddParticle(T)
	end
	
	-- Gunship
	self.Gunship = CreateACDropShip("Hydra Gunship", "Gunship.rte")
	if self.Gunship then
		self.Gunship.Pos = Vector(100, -50)
		self.Gunship.Vel = Vector(1, 25)
		self.Gunship.Team = -1
		MovableMan:AddActor(self.Gunship)
	end
	
	Attempts = 0
end

function Verdun:UpdateActivity()
	for i,T in pairs(self.Text) do
		if MovableMan:IsParticle(T) then
			T.Age = 1
			T.Frame = 0
		else
			ActivityMan:StartActivity("GAScripted", self.PresetName)
		end
	end

	if self.Ctrl:IsState(Controller.PRESS_UP) then
		self.state = math.max(self.state-1, 1)
	end
	
	if self.Ctrl:IsState(Controller.PRESS_DOWN) then
		self.state = math.min(self.state+1, #self.Text)
	end
	
	self.Text[self.state].Frame = 1
	
	if self.Ctrl:IsState(Controller.WEAPON_FIRE) or UInputMan:KeyHeld(67) then		
		ActivityMan:StartActivity("GAScripted", self.Text[self.state].PresetName)
	end
end