function Create(self)
	self.Life = Timer()
	self.timing = 150
	self.Team = Activity.TEAM_2
	
	--[[ Find the parent (a waste of CPU time in this mod)
	local hitID = SceneMan:CastMORay(self.Pos, self.Vel:RadRotate(3.1415), self.ID, -1, true, 2)
	if hitID < 255 then
		local parentID = MovableMan:GetRootMOID(hitID)
		local Parent = ToAHuman(MovableMan:GetMOFromID(parentID))
		
		if Parent then
			self.Team = Parent.Team
		end
	end]]
	
	-- Avoid hitting the ground by arcing the missile slightly
	local Vel = Vector(self.Vel.X, self.Vel.Y)
	if self.RotAngle > 1.57 or self.RotAngle < -1.57 then
		self.Vel = self.Vel - Vel.Perpendicular/4
	else
		self.Vel = self.Vel + Vel.Perpendicular/4
	end
end

function Update(self)
	if self.Life:IsPastSimMS(self.timing) then
		self.ToDelete = true	-- Remove without spawning gibs
		self.HitsMOs = false
		self.GetsHitByMOs = false
		
		local Rocket = CreateAEmitter("Particle Coalition Missile Launcher.", "Gunship.rte")
		if Rocket then
			Rocket.Pos = self.Pos
			Rocket.Vel = self.Vel
			Rocket.Team = self.Team
			Rocket.RotAngle = self.RotAngle
			MovableMan:AddParticle(Rocket)
		end
	end
end