function Update(self)
	if self.AIMode == Actor.AIMODE_PATROL then
		if not self.SearchTimer then
			self.SearchTimer = Timer()
			self.timing = SelectRand(3000,4000)
		elseif self.SearchTimer:IsPastSimMS(self.timing) then
			self.SearchTimer:Reset()
			
			-- Find colsest enemy AHuman within 1000 pixels
			local dist
			local max = 1000
			for Act in MovableMan.Actors do
				if Act.Team ~= self.Team and Act.ClassName == "AHuman" then
					dist = SceneMan:ShortestDistance(self.Pos, Act.Pos, false).Magnitude
					if dist < max then
						max = dist
						self.Target = Act
					end
				end
			end
			
			if self.Target then
				self.AIMode = Actor.AIMODE_GOTO
				self:ClearAIWaypoints()
				self:AddAIMOWaypoint(self.Target)
			end
		end
	elseif self.AIMode == Actor.AIMODE_GOTO and self.Target and self.SearchTimer:IsPastSimMS(1000) then
		if self.Target:IsActor() then
			self.SearchTimer:Reset()
		else
			self.Target = nil
			self.AIMode = Actor.AIMODE_PATROL
		end
	end
end